Page MenuHomePhabricator

Reload WDQS data after T131960 is merged
Closed, ResolvedPublic

Description

After the code in T131960 is merged, we need to wait for a new dump to be ready and reload the data in WDQS servers, to update the encoding for sitelinks.

Details

Related Gerrit Patches:

Event Timeline

The patch has been merged, reload will happen after the next dump on Jul 4th.

Dumps are not there, probably due to T169680, so waiting until that is resolved.

Change 363596 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs - send ldf traffic to wdqs1003.eqiad.wmnet

https://gerrit.wikimedia.org/r/363596

Gehel added a comment.Jul 6 2017, 1:54 PM

After discussion with @Smalyshev, the data reload procedure should be:

  • 1 server at a time on eqiad
  • we can reload 2 servers at a the same time on codfw as the traffic there is minimal
  • care must be taken to send LDF traffic away from wdqs1001 before reloading it. The appropriate puppet patch should be merged during puppet swat and reverted once the reload is completed
  • dumps can be downloaded and pre-processed in parallel on all servers
Smalyshev added a comment.EditedJul 13 2017, 9:49 PM

Reloading:

  • wdqs2002/2003
  • wdqs2001
  • wdqs1002
  • wdqs1003
  • wdqs1001
Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 21 2017, 11:46 PM

All servers reloaded except for wdqs1001 which will probably decommissioned soon due to T171210. If that takes more time than expected, may have still to reload 1001 too.

Change 363596 merged by Gehel:
[operations/puppet@production] wdqs - send ldf traffic to wdqs1003.eqiad.wmnet

https://gerrit.wikimedia.org/r/363596

Mentioned in SAL (#wikimedia-operations) [2017-07-26T19:01:05Z] <gehel> depooling wdqs1001 for data reload - T166244

Smalyshev closed this task as Resolved.Jul 28 2017, 6:49 AM